import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Coin fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Coin extends Actor
{
    
    private int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Coin()
    {
        speed = Greenfoot.getRandomNumber(3) ;
    }

    /**
     * Float along the bloodstream, slowly rotating.
     // */
   
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        
        if (getX() == 0) 
        {
             Road road = (Road)getWorld();
              road.addScore(-15); // Now when Coin escapes from the world 15 points are taken away
              road.removeObject(this);
            Greenfoot.playSound("slurp.wav");
        }
    }
}
